# Visualization
TKV3d
Graphic3d

# Graphic3d_Texture1D Class Reference

This is an abstract class for managing 1D textures.
.

`#include <Graphic3d_Texture1D.hxx>`

Inheritance diagram for Graphic3d_Texture1D:

[legend]

## Public Member Functions

Standard_EXPORT Graphic3d_NameOfTexture1D | Name () const
| Returns the name of the predefined textures or NOT_1D_UNKNOWN when the name is given as a filename. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | NumberOfTextures ()
| Returns the number of predefined textures. .
static Standard_EXPORT Standard_CString | TextureName (const Standard_Integer aRank)
| Returns the name of the predefined texture of rank <arank> .

## Protected Member Functions

Standard_EXPORT | Graphic3d_Texture1D (const Handle(Graphic3d_StructureManager)&SM, const Standard_CString aFileName, const Graphic3d_TypeOfTexture aType)
Standard_EXPORT | Graphic3d_Texture1D (const Handle(Graphic3d_StructureManager)&SM, const Graphic3d_NameOfTexture1D aName, const Graphic3d_TypeOfTexture aType)

## Private Attributes

Graphic3d_NameOfTexture1D | myName

## Constructor & Destructor Documentation

Standard_EXPORT Graphic3d_Texture1D::Graphic3d_Texture1D | ( | const Handle(Graphic3d_StructureManager)& | SM,
|  | const Standard_CString | aFileName,
|  | const Graphic3d_TypeOfTexture | aType
| ) | `[protected]`

Standard_EXPORT Graphic3d_Texture1D::Graphic3d_Texture1D | ( | const Handle(Graphic3d_StructureManager)& | SM,
|  | const Graphic3d_NameOfTexture1D | aName,
|  | const Graphic3d_TypeOfTexture | aType
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT const Graphic3d_Texture1D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic3d_TextureMap. Reimplemented in Graphic3d_Texture1Dmanual, and Graphic3d_Texture1Dsegment.

Standard_EXPORT Graphic3d_NameOfTexture1D Graphic3d_Texture1D::Name | ( |  | ) | const

static Standard_EXPORT Standard_Integer Graphic3d_Texture1D::NumberOfTextures | ( |  | ) | `[static]`

static Standard_EXPORT Standard_CString Graphic3d_Texture1D::TextureName | ( | const Standard_Integer | aRank | ) | `[static]`

## Field Documentation

Graphic3d_NameOfTexture1D Graphic3d_Texture1D::myName `[private]`

The documentation for this class was generated from the following file:

- Graphic3d_Texture1D.hxx